# Interface methods for submodule: PyImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: PyImageFilter
class PyImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetPyGenerateInputRequestedRegion(self, obj) -> None:
		""""""
		...

	def SetPyGenerateOutputInformation(self, obj) -> None:
		""""""
		...

	def SetPyEnlargeOutputRequestedRegion(self, obj) -> None:
		""""""
		...

	def SetPyGenerateData(self, obj) -> None:
		""""""
		...

	def _SetSelf(self, self) -> None:
		""""""
		...

